"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../store/modules/chartEditStore/chartEditStore.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const dotTypes = [
      {
        label: "点",
        value: "dot"
      },
      {
        label: "线",
        value: "line"
      }
    ];
    const directions = [
      {
        label: "水平方向",
        value: "horizontal"
      },
      {
        label: "垂直方向",
        value: "vertical"
      }
    ];
    const effects = [
      {
        label: "slide",
        value: "slide"
      },
      {
        label: "fade",
        value: "fade"
      },
      {
        label: "card",
        value: "card"
      },
      {
        label: "custom",
        value: "custom"
      }
    ];
    const dotPlacements = [
      {
        label: "上边",
        value: "top"
      },
      {
        label: "下边",
        value: "bottom"
      },
      {
        label: "左边",
        value: "left"
      },
      {
        label: "右边",
        value: "right"
      }
    ];
    const fitList = [
      {
        value: "fill",
        label: "fill"
      },
      {
        value: "contain",
        label: "contain"
      },
      {
        value: "cover",
        label: "cover"
      },
      {
        value: "scale-down",
        label: "scale-down"
      },
      {
        value: "none",
        label: "none"
      }
    ];
    return (_ctx, _cache) => {
      const _component_n_input = runtimeCore_esmBundler.resolveComponent("n-input");
      const _component_n_button = runtimeCore_esmBundler.resolveComponent("n-button");
      const _component_n_input_group = runtimeCore_esmBundler.resolveComponent("n-input-group");
      const _component_n_switch = runtimeCore_esmBundler.resolveComponent("n-switch");
      const _component_n_text = runtimeCore_esmBundler.resolveComponent("n-text");
      const _component_n_space = runtimeCore_esmBundler.resolveComponent("n-space");
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
          name: "路径",
          expanded: true
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(__props.optionData.dataset, (item, index) => {
              return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(SettingItem.default), { key: index }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_input_group, null, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input, {
                        value: __props.optionData.dataset[index],
                        "onUpdate:value": ($event) => __props.optionData.dataset[index] = $event,
                        size: "small",
                        placeholder: "请输入图片地址"
                      }, null, 8, ["value", "onUpdate:value"]),
                      runtimeCore_esmBundler.createVNode(_component_n_button, {
                        ghost: "",
                        onClick: ($event) => __props.optionData.dataset.splice(index, 1)
                      }, {
                        default: runtimeCore_esmBundler.withCtx(() => [
                          runtimeCore_esmBundler.createTextVNode(" - ")
                        ]),
                        _: 2
                      }, 1032, ["onClick"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024);
            }), 128)),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(_component_n_button, {
                  size: "small",
                  onClick: _cache[0] || (_cache[0] = ($event) => __props.optionData.dataset.push(""))
                }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createTextVNode(" + 新增")
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }),
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
          name: "轮播属性",
          expanded: true
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "播放器" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_switch, {
                          value: __props.optionData.autoplay,
                          "onUpdate:value": _cache[1] || (_cache[1] = ($event) => __props.optionData.autoplay = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("自动播放")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "间隔时间" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.interval,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => __props.optionData.interval = $event),
                      size: "small",
                      placeholder: ""
                    }, {
                      suffix: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createTextVNode(" 毫秒 ")
                      ]),
                      _: 1
                    }, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "轮播方向" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.direction,
                      "onUpdate:value": _cache[3] || (_cache[3] = ($event) => __props.optionData.direction = $event),
                      options: directions,
                      placeholder: "选择方向"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "过渡效果" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.effect,
                      "onUpdate:value": _cache[4] || (_cache[4] = ($event) => __props.optionData.effect = $event),
                      options: effects,
                      placeholder: "效果"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "每页数量" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.slidesPerview,
                      "onUpdate:value": _cache[5] || (_cache[5] = ($event) => __props.optionData.slidesPerview = $event),
                      size: "small",
                      placeholder: ""
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_switch, {
                          value: __props.optionData.centeredSlides,
                          "onUpdate:value": _cache[6] || (_cache[6] = ($event) => __props.optionData.centeredSlides = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("居中显示")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "图片样式" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.fit,
                      "onUpdate:value": _cache[7] || (_cache[7] = ($event) => __props.optionData.fit = $event),
                      options: fitList,
                      placeholder: "样式"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "指示器" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "样式" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.dotType,
                      "onUpdate:value": _cache[8] || (_cache[8] = ($event) => __props.optionData.dotType = $event),
                      options: dotTypes,
                      placeholder: "选择样式"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "位置" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_select, {
                      value: __props.optionData.dotPlacement,
                      "onUpdate:value": _cache[9] || (_cache[9] = ($event) => __props.optionData.dotPlacement = $event),
                      options: dotPlacements,
                      placeholder: "选择位置"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_switch, {
                          value: __props.optionData.showDots,
                          "onUpdate:value": _cache[10] || (_cache[10] = ($event) => __props.optionData.showDots = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("显示")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_switch, {
                          value: __props.optionData.showArrow,
                          "onUpdate:value": _cache[11] || (_cache[11] = ($event) => __props.optionData.showArrow = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("箭头")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_switch, {
                          value: __props.optionData.draggable,
                          "onUpdate:value": _cache[12] || (_cache[12] = ($event) => __props.optionData.draggable = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("拖曳切换")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ], 64);
    };
  }
});
exports.default = _sfc_main;
